from django.shortcuts import redirect
from functools import wraps

def admin_login_required(view_func):
    @wraps(view_func)
    def _wrapped_view(request, *args, **kwargs):
        # 这里使用 'admin_id' 作为登录状态的标记
        if 'admin_id' not in request.session:
            # 用户未登录，重定向到登录页面
            return redirect('admin_login')
        # 用户已登录，执行原始视图函数
        return view_func(request, *args, **kwargs)
    return _wrapped_view
